﻿using DistributedGA.Core.Domain;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DistributedGA.Core.Interface
{
    public interface IMessageService
    {
        /// <summary>
        /// Initializes a WCF service and host it with another thread
        /// </summary>
        /// <param name="ip">current external ip address</param>
        /// <returns>The port, on which the service was successfully hosted</returns>
        int Init(string ip);

        event EventHandler<MessageRecieveEventArgs> OnPopulationRecieved;
    }
}
