﻿
using System;
using System.ServiceModel;
using HeuristicLab.Clients.Hive;
namespace DistributedGA.Hive {
  class Program {
    const string HIVESERVICEURI = @"http://services.heuristiclab.com/Hive-3.3/HiveService.svc";

    static void Main(string[] args) {
      var client = CreateHiveClient();
      var myJob = CreateJob();
      client.AddJob(myJob);
    }

    private static IHiveService CreateHiveClient() {
      var binding = new WSHttpBinding();
      var endpoint = new EndpointAddress(HIVESERVICEURI);
      var myChannelFactory = new ChannelFactory<IHiveService>(binding, endpoint);

      IHiveService client = null;
      client = myChannelFactory.CreateChannel();
      return client;
    }

    private static Job CreateJob() {
      throw new NotImplementedException();
    }
  }

}
